Bug 1032533 - [RHSC] An additional username-password prompt is seen after entering the username and password in the login page
[RHSC] An additional username-password prompt is seen after entering the user...
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: RHGS 3.0.0
Assigned To: Ramesh N
Shruti Sampat
Depends On: 1011058
Blocks: 1035040
  Show dependency treegraph
Reported: 2013-11-20 06:12 EST by Shruti Sampat
Modified: 2015-05-13 12:54 EDT (History)
10 users (show)

See Also:
Fixed In Version: rhsc-3.0.0-0.12.el6rhs.noarch.rpm
Doc Type: Known Issue
Doc Text:
Previously, after logging in to Red Hat Storage Console, an additional HTTP authentication dialog box was displayed with the user name and password prompt. With this fix, the addtional dialog box is not displayed.
Story Points: ---
Clone Of:
Last Closed: 2014-09-22 15:07:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
engine logs (11.82 MB, text/x-log)
2013-11-20 06:15 EST, Shruti Sampat
no flags Details
screenshot (17.54 KB, image/png)
2013-11-21 07:00 EST, Shruti Sampat
no flags Details
engine logs ( CB9 ) (1.30 MB, text/x-log)
2013-11-25 06:13 EST, Shruti Sampat
no flags Details

  None (edit)
Description Shruti Sampat 2013-11-20 06:12:49 EST
Description of problem:

After entering the login username and password in the login page of RHSC, a second prompt is seen asking for username and password. This is seen sometimes.

The second prompt looks like the prompt seen when trying to use the REST API.

Version-Release number of selected component (if applicable):
Red Hat Storage Console Version: 2.1.2-0.24.master.el6_5 

How reproducible:

Steps to Reproduce:
1. Navigate to the login page of the administrator portal.
2. Enter the login details for admin@internal.
3. Click on login.

Actual results:
A second prompt is seen asking for username and password, similar to the prompt seen when trying to use the REST API.

Expected results:
After clicking on login, the user should be logged in.

Additional info:
Comment 1 Shruti Sampat 2013-11-20 06:15:27 EST
Created attachment 826566 [details]
engine logs
Comment 3 Shruti Sampat 2013-11-21 07:00:41 EST
Created attachment 827155 [details]
Comment 4 Shruti Sampat 2013-11-25 06:11:47 EST
Observed this issue with CB9 also. Attaching logs.
Comment 5 Shruti Sampat 2013-11-25 06:13:02 EST
Created attachment 828602 [details]
engine logs ( CB9 )
Comment 6 Dusmant 2013-11-26 11:15:05 EST
This bug may become an issue for automation, if this screen comes up. So, it may be needed to be fixed from that point of view. 

But if time constraint comes, we will take a call then...
Comment 7 Ramesh N 2013-11-28 02:10:53 EST
This is same as the RHEVM 1011058.
Comment 8 Ramesh N 2013-11-28 02:13:14 EST
This is reproducible only in firefox 17. I am not seeing this issue in latest versions of Firfox starting from Firefox 21.
Comment 9 Dusmant 2013-11-28 21:28:05 EST
The corresponding framework change that is required in framework space, is going to happen in 3.4 (not in 3.3), we will defer this bug to after Corbett. It will be taken out of Corbett and appropriate doc-text would be added.

Other point to note is :  this issue should not have any impact on Automation, because in that there is  no chance for session timeout
Comment 10 Shalaka 2014-01-29 05:39:02 EST
Please review the edited Doc Text and sign off.
Comment 11 Ramesh N 2014-01-29 06:24:00 EST
Do text looks good.
Comment 12 Ramesh N 2014-07-16 03:00:35 EDT
Fixed in upstream ovirt-engine 3.4 release.
Comment 14 Shruti Sampat 2014-07-21 03:38:37 EDT
Tested by setting UserSessionTimeOutInterval=1. Got logged out automatically after 1 minute, logged in again. Did not see the second prompt.

Marking verified.
Comment 15 Bhavana 2014-09-20 07:36:42 EDT
Hi Ramesh,

I have edited the doc text. Kindly verify it for technical accuracy and sign-off.
Comment 16 Ramesh N 2014-09-22 01:16:08 EDT
Doc text looks good.
Comment 18 errata-xmlrpc 2014-09-22 15:07:12 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.